Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		clutter
#Epoch:		0
Version:	1.4.2
Release:	1
License:	GNU/LGPL
URL:		http://www.clutter-project.org/
Group:		System/Libraries
Summary:	library for fast, visually rich and animated graphical user interfaces
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:

# Requires:

# BuildRequires:
BuildRequires: libxcb-devel
BuildRequires: xcb-util-devel
BuildRequires: gobject-introspection-devel
BuildRequires: libffi-devel
BuildRequires: json-glib-devel

#Automatically resolved build dependencies
BuildRequires: cairo-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: libpng-devel
BuildRequires: libX11-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXdamage-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXrender-devel
BuildRequires: mesa-libGL-devel
BuildRequires: pango-devel
BuildRequires: pixman-devel
BuildRequires: pkg-config
BuildRequires: zlib-devel

# prevent the propietary openGL incarnations from being drawn in
# the hard way
BuildConflicts: xorg-x11-drv-fglrx
BuildConflicts: xorg-x11-drv-nvidia
BuildConflicts: xorg-x11-drv-nvidia-legacy
BuildConflicts: xorg-x11-drv-nvidia-legacy96xx


%description
Clutter is an open source software library for creating fast, visually rich and animated graphical user interfaces.

Clutter uses OpenGL (and optionally OpenGL ES for use on Mobile and embedded platforms) for rendering but with an API which hides the underlying GL complexity from the developer. The Clutter API is intended to be easy to use, efficient and flexible.


%package devel
Summary:        libcap development headers.
Group:          System/Libraries
Requires:       %{name} = %{version}
Requires:  	gobject-introspection-devel

%description devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -qn %{name}-%{version}

%build
%configure --enable-introspection

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_libdir}/libclutter-glx-1.0.so.*
%{_datadir}/locale/*/LC_MESSAGES/clutter-1.0.mo

%files devel
%defattr(-,root,root)
%{_includedir}/clutter-1.0/
%{_datadir}/gtk-doc/html/cally/
%{_datadir}/gtk-doc/html/clutter/
%{_datadir}/gtk-doc/html/cogl/
%{_datadir}/gir-1.0/*.gir
%{_libdir}/girepository-1.0/*.typelib
%{_libdir}/libclutter-glx-1.0.so
%{_libdir}/libclutter-glx-1.0.la
%{_pkgconfig}/cally-1.0.pc
%{_pkgconfig}/clutter-1.0.pc
%{_pkgconfig}/clutter-glx-1.0.pc
%{_pkgconfig}/clutter-x11-1.0.pc
%{_pkgconfig}/cogl-1.0.pc
%{_pkgconfig}/cogl-gl-1.0.pc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Dec 19 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.4.2-1
- Version update
* Sun Jul 11 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.2.10-1
- Version update
* Thu Nov 26 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.1.2-1
- Version update
* Tue Nov 24 2009 Christian Metzen <metzench@ccux-linux.de> 1.0.6-1
- Version update
* Thu Jul 30 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.0.0-1
- initial CCux package release
